summaryrefslogtreecommitdiffstats
path: root/src/grep/tests/dfa-infloop
diff options
context:
space:
mode:
Diffstat (limited to 'src/grep/tests/dfa-infloop')
-rwxr-xr-xsrc/grep/tests/dfa-infloop12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/grep/tests/dfa-infloop b/src/grep/tests/dfa-infloop
new file mode 100755
index 0000000..e35eef5
--- /dev/null
+++ b/src/grep/tests/dfa-infloop
@@ -0,0 +1,12 @@
+#!/bin/sh
+# This would infloop for some unreleased versions between 2.26 and 2.27
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_timeout_
+
+fail=0
+
+echo cx > in || framework_failure_
+returns_ 1 timeout 10 env LC_ALL=C grep -E 'c\b[x ]' in || fail=1
+
+Exit $fail